For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
      • POSTCreate a membership
      • PUTBulk update memberships
      • PUTUpdate a membership
      • GETGet pinned views for a membership
      • PUTUpdate pinned views for a membership
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Users & OrganizationsMemberships

Create a membership

||View as Markdown|
POST
https://api.close.com/api/v1/membership/
POST
/api/v1/membership/
$curl -X POST https://api.close.com/api/v1/membership/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "email": "john@salesteam.com",
> "role_id": "user"
>}'
1{
2 "auto_record_calls": "unset",
3 "default_caller_id": null,
4 "hangup_recording_url": null,
5 "id": "memb_JPCqDJq0AmoZFhemXAWrWk9327DqfJgUF2VGPMOL4Lp",
6 "is_free": false,
7 "may_workflows_impersonate": false,
8 "onboarding_status": "in-progress",
9 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
10 "permissions_granted": [
11 "bulk_email",
12 "bulk_import",
13 "bulk_sequence_subscriptions",
14 "calling",
15 "delete_leads",
16 "delete_own_activities",
17 "delete_own_opportunities",
18 "delete_own_tasks",
19 "manage_others_activities",
20 "manage_others_opportunities",
21 "manage_others_tasks",
22 "merge_leads",
23 "view_all_leads"
24 ],
25 "primary_personal_number": null,
26 "role": "user",
27 "role_id": "user",
28 "track_email_opens": true,
29 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
30}
Ensures an active membership for the given email will be provisioned. - If the user already exists, they will be added to the requestor's organization. - If it doesn't exist, a new user will be provisioned. `role_id` can be one of `'admin'`, `'superuser'`, `'user'` or `'restricteduser'` for the corresponding predefined role, or an ID of a [Role](https://developer.close.com/api/resources/roles). This request requires "Manage Organization" permissions. API access to this endpoint is supported via OAuth only.
Was this page helpful?
Previous

Memberships

Next

Bulk update memberships

Built with

Ensures an active membership for the given email will be provisioned.

  • If the user already exists, they will be added to the requestor’s organization.
  • If it doesn’t exist, a new user will be provisioned.

role_id can be one of 'admin', 'superuser', 'user' or 'restricteduser' for the corresponding predefined role, or an ID of a Role.

This request requires “Manage Organization” permissions.

API access to this endpoint is supported via OAuth only.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
emailstringRequiredformat: "email"
role_idstringRequired>=1 character

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error